SecondarySort.Reduce (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples
Class SecondarySort.Reduce

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<SecondarySort.IntPair,IntWritable,Text,IntWritable>
          org.apache.hadoop.examples.SecondarySort.Reduce

Enclosing class:
  SecondarySort

    public static class SecondarySort.Reduce

extends Reducer<SecondarySort.IntPair,IntWritable,Text,IntWritable>

A reducer class that just emits the sum of the input values.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`Reducer.Context`

Constructor Summary
`SecondarySort.Reduce()`

Method Summary
`void` | `reduce(SecondarySort.IntPair key, Iterable<IntWritable> values, Reducer.Context context)` This method is called once for each key.

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecondarySort.Reduce

    public SecondarySort.Reduce()

Method Detail

### reduce

    public void reduce(SecondarySort.IntPair key,
                       Iterable<IntWritable> values,
                       Reducer.Context context)
                throws IOException,
                       InterruptedException

  Description copied from class: `Reducer`
  This method is called once for each key. Most applications will define their reduce class by overriding this method. The default implementation is an identity function.

  Overrides:
    `reduce` in class `Reducer<SecondarySort.IntPair,IntWritable,Text,IntWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation